Bug 403211 - [RFE] please package xpdf header files in poppler
Summary: [RFE] please package xpdf header files in poppler
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks: 242416
TreeView+ depends on / blocked
 
Reported: 2007-11-28 17:31 UTC by Jindrich Novy
Modified: 2013-07-02 23:25 UTC (History)
2 users (show)

Fixed In Version: 0.6.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 20:53:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Necessary poppler.spec modification (1.44 KB, patch)
2007-11-28 17:31 UTC, Jindrich Novy
no flags Details | Diff
poppler-ObjStream.patch (4.04 KB, patch)
2007-11-28 17:33 UTC, Jindrich Novy
no flags Details | Diff
Fix QT3 detection for F-8 package (1.00 KB, patch)
2007-11-29 11:46 UTC, Denis Leroy
no flags Details | Diff

Description Jindrich Novy 2007-11-28 17:31:19 UTC
Description of problem:
It is possible to make TeXLive independent on its internal xpdf library by
linking it with poppler. This prevents TeXLive from statically linking against
its internal xpdf so that one doesn't need to backport xpdf security fixes to
the TeXLive xpdf variant and fix all issues generally on the poppler side.

Version-Release number of selected component (if applicable):
poppler-0.6.2-1

How reproducible:


Steps to Reproduce:
1. compile TeXLive with external xpdf support.
2.
3.
  
Actual results:
Impossible to compile and link TeXLive against poppler.

Expected results:
Compile and link TeXLive against poppler.

Additional info:

Comment 1 Jindrich Novy 2007-11-28 17:31:19 UTC
Created attachment 271521 [details]
Necessary poppler.spec modification

Comment 2 Jindrich Novy 2007-11-28 17:33:39 UTC
Created attachment 271531 [details]
poppler-ObjStream.patch

Patch to move ObjStream class from XRef.cc to XRef.h so that the class is
visible to the applications using poppler/xpdf header files.

Comment 3 Jindrich Novy 2007-11-28 17:36:50 UTC
Kristian, Matthias, I noticed that the debug-skew patch is unapplied while I was
tweaking poppler, even though the hyperlink to the freedesktop bugzilla is noted
in the spec.

HTH,
Jindrich

Comment 4 Denis Leroy 2007-11-29 11:46:00 UTC
Created attachment 272861 [details]
Fix QT3 detection for F-8 package

+1 , as this bug will be blocking the packaging of inkscape 0.46 (and its new
poppler-based PDF preview code).

I'm also attaching a patch necessary to fix the QT3 detection m4 script (at
least on F-8, didn't check on devel).

Comment 5 Matthias Clasen 2007-11-29 22:14:57 UTC
Thanks, I have put these patches in poppler-0.6.2-2.fc9

Comment 6 Denis Leroy 2007-11-30 13:43:27 UTC
If you could push these changes to F-8 also, that would be fantastic.


Comment 7 Fedora Update System 2007-12-03 11:44:12 UTC
poppler-0.6.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update poppler'

Comment 8 Fedora Update System 2007-12-06 20:53:22 UTC
poppler-0.6.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2007-12-10 20:48:30 UTC
poppler-0.6.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.